<?php

class SmartpackLangEn
{

  protected static $lang = [
    'search' => 'Search',
    'select' => 'Select',
    'address' => 'Address',
    'zip' => 'Zip',
    'zipcode' => 'Zip',
    'see opening hours' => 'Show opening hours',
    'opening hours' => 'Opening hours',
    'monday' => 'Monday',
    'tuesday' => 'Tuesday',
    'wednesday' => 'Wednesday',
    'thursday' => 'Thursday',
    'friday' => 'Friday',
    'saturday' => 'Saturday',
    'sunday' => 'Sunday',
    'day_0' => 'Monday',
    'day_1' => 'Tuesday',
    'day_2' => 'Wednesday',
    'day_3' => 'Thursday',
    'day_4' => 'Friday',
    'day_5' => 'Saturday',
    'day_6' => 'Sunday',
    'close' => 'Close',
    'pickup location' => 'Pickup location',
    'find nearest pickup point' => 'find nearest pickup location',
    'selected pickup point' => 'Selected pickup location',
    'sorry! We couldnt find any pickup points. Try again!' => 'Sorry! We couldnt find any pickup points. Try again!',
    'we are looking for the nearest pickup points...' => 'We are looking for the nearest pickup points...',
    'use the search field above to find a pickup point near you.' => 'Use the search field above to find a pickup point near you.',
    'Close window' => 'Close',
    'you' => 'You',
    'closed' => 'Closed',
    'Unable to find droppoint. Please check your address' => 'Unable to find droppoint. Please check your address for any errors',
    'please choose a drop point' => 'Please choose a pickup point',
    'no pickup point found' => 'No pickup point found'

  ];

  public static function translate($str)
  {
    if (isset(self::$lang[strtolower($str)])) {
      return self::$lang[strtolower($str)];
    }

    return $str;
  }

  public static function js()
  {
    return json_encode(self::$lang);
  }
}
