<tr class="smartpack_drop_point">
   <td colspan="2" class="smartpack_drop_point_container">
      <input type="hidden" name="sp_drop_point_blob" id="sp_drop_point_blob">

      <input type="button" class="button" style="float: none;" value="<?php echo  ___('find nearest pickup point'); ?>" id="smartpack-modal-open">

      <div id="smartpack-overlay" style="display: none"></div>
      <div id="smartpack-modal" style="display: none">
         <div class="smartpack-header">
            <span id="smartpack-modal-close" onclick="window.smartpack.modal.close()">x</span>
            <h2><?php echo  ___('find nearest pickup point') ?></h2>
            <input class="smartpack-address-input" type="text" name="address" placeholder="<?php echo ___('address') ?>" id="smartpack_address">
            <input class="smartpack-address-input" type="text" name="zip" placeholder="<?php echo ___('zip') ?>" id="smartpack_zip">
            <button type="button" id="smartpack-address-search" onclick="window.smartpack.modal.search()"><?php echo ___('search') ?></button>
         </div>
         <div class="smartpack-body">
            <div id="smartpack-loader" class="smartpack-hidden">
               <img src="<?php echo plugins_url('/smartpack-checkout/img/ajax.gif') ?>">
            </div>
            <div id="smartpack-drop-points">
               <div id="smartpack-left">
                  <div id="smartpack-map" style="box-sizing: content-box;"></div>
               </div>
               <div id="smartpack-right">
                  <ul id="smartpack-drop-points-list"></ul>
               </div>
            </div>
         </div>
         <div class="smartpack-footer"></div>
      </div>

      <div id="smartpack-selected-drop-point" class="smartpack-hidden smartpack-selected-drop-point">
         <h3 id="smartpack-selected-name" class="smartpack-selected-name"></h3>
         <p id="smartpack-selected-address" class="smartpack-selected-address"></p>
         <p id="smartpack-selected-zip" class="smartpack-selected-zip"></p>
      </div>


      <style>
         @import url('https://fonts.googleapis.com/css?family=Lato&display=swap');

         #smartpack-overlay {
            background: rgba(0,0,0, .2);
            position: fixed;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            z-index: 999;
         }
         #smartpack-modal {
            background: #fff;
            position: fixed;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 920px;
            max-width: 90%;
            max-height: 90%;
            overflow: hidden;
            font-family: 'Lato', sans-serif;
            z-index: 1000;
         }

         #smartpack-modal-close {
            position: absolute;
            right: 10px;
            top: -10px;
            font-size: 30px;
            cursor: pointer;
         }

         #smartpack-loader {
            height: 600px;
         }

         #smartpack-loader img{
            margin: 0 auto;
            position: fixed;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
         }

         .smartpack-no-scroll {
            overflow: hidden;
            position: relative;
            height: 100%;
         }

         .smartpack-header {
            padding: 10px 30px;
         }

         .smartpack-header h2 {
            font-weight: 300;
            margin-bottom: 5px;
            text-transform: capitalize;
            vertical-align: middle;
            display: inline-block;
            margin-right: 15px;
            width:auto;
         }

         .smartpack-address-input {
            border: 2px solid #e2e8f0;
            border-radius: .25rem;
            background: #fff;
            height: 32px !important;
            font-size: .875rem !important;
            padding-right: .5rem !important;
            padding-left: .5rem !important;
            width: 150px !important;
            margin-bottom: 4px;
         }

         .smartpack-address-input:focus {
            outline: none
         }

         #smartpack_address {
            width: 250px
         }

         #smartpack-address-search {
            background: #eee;
            color: #2d3748;
            height: 30px;
            box-shadow: 0 4px 6px -1px rgba(0, 0, 0, .1), 0 2px 4px -1px rgba(0, 0, 0, .06);
            padding-left: 1.5rem;
            padding-right: 1.5rem;
            padding-top: .5rem;
            padding-bottom: .5rem;
            font-weight: 700;
            border-bottom: 2px solid #48bb78;
            border-radius: .25rem;
            cursor: pointer;
            vertical-align: 2px;
            outline: 0;
            line-height: 0px;
         }

         #smartpack-address-search:hover {
            color: #fff;
            border-color: #38a169;
            background-color: #48bb78
         }

         .smartpack-body {
            border-top: 1px solid #999;
         }

         #smartpack-left {
            width: 60%;
            height: 600px;
            display: inline-block;
         }

         #smartpack-right {
            width: 40%;
            height: 90vh;
            display: inline-block;
            float:right;
            overflow: auto;
         }

         #smartpack-map {
            height: 100%
         }

         #smartpack-infowindow {
            min-width: 250px
         }

         #smartpack-infowindow h2 {
            margin: 0;
         }

         #smartpack-infowindow p {
            margin-top: 0;
            margin-bottom: 0
         }

         #smartpack-infowindow table {
            border: 1px solid #333;
            border-collapse: collapse;
            margin-top: 10px;
            width: 100%;
            text-align: center;
         }

         #smartpack-infowindow table tr,
         #smartpack-infowindow table td {
            border: 1px solid #333;
         }

         #smartpack-infowindow table tr td {
            padding: 2px;
         }

         #smartpack-infowindow button {
            border: 0;
            outline: 0;
            margin-top: 5px;
            padding: 5px 10px;
            border-radius: 2px;
            font-size: 1rem;
            width: 100%;

            background: #00779B;
            color: #fff;
            cursor: pointer;
         }

         #smartpack-infowindow button:active {
            background: #0097AB;
         }

         #smartpack-drop-points-list {
            list-style: none;
            width: 100%;
            margin: 0;
            padding: 0;
         }

         #smartpack-drop-points-list li {
            width: 100%
         }

         #smartpack-drop-points-list li label{
            width: 100%;
         }

         @media(max-width: 600px) {
            #smartpack-modal {
               top: 10%;
               transform: translate(-50%, -10%);
               max-height: 80%;
               overflow: auto;
            }

            #smartpack-left {
               display:none;
            }

            #smartpack-right {
               width: 100%;
               height: 100%;
            }
            .smartpack-header h2 {
              display: block;
            }
            #smartpack-address-search {
              margin-top: 15px;
            }
         }

         @media(min-width: 601px) and (max-width: 919px) {
            #smartpack-left {
               height: 90vh;
            }
         }

         @media(min-height: 800px) {
            #smartpack-left, #smartpack-right {
               height: 600px;
            }
         }

         .smartpack-drop-point-shop-title {
            font-size: 1.2rem;
            font-weight: bold
         }

         .smartpack-drop-point-shop p {
            margin: 0;
            display: inline-block
         }

         #smartpack-selected-drop-point {
           text-align: left;
            margin-bottom: 7px;
            margin-top: 5px;
            border: 1px solid rgb(238, 238, 238);
            font-size: 13px;
            line-height: 17px;
            padding: 5px 10px;
         }

         #smartpack-selected-drop-point h3 {
            font-size: 1.3rem;
            font-weight: 300;
            margin-bottom: 0;
            margin-top: 5px;
         }
         #smartpack-selected-drop-point p {
            margin: 0;
            padding: 0;
         }
      </style>
      <style>
         .smartpack-drop-point-shop {
            cursor: pointer !important;
            padding-left: 50px;
            width: 100%;
            padding-bottom: 25px;
         }

         .smartpack-drop-point-radio {
            width: 0px;
            float: left
         }

         .smartpack-radio {
            position: relative;
            cursor: pointer;
            line-height: 20px;
            font-size: 14px;
            margin: 15px;
         }

         .smartpack-radio .smartpack-label {
            position: relative;
            display: block;
            float: left;
            margin-right: 10px;
            width: 24px;
            height: 24px;
            border: 2px solid #c8ccd4;
            border-radius: 100%;
            -webkit-tap-highlight-color: transparent;
         }

         .smartpack-radio .smartpack-label:after {
            content: '';
            position: absolute;
            top: 3px;
            left: 3px;
            width: 14px;
            height: 14px;
            border-radius: 100%;
            background: #225cff;
            transform: scale(0);
            transition: all 0.2s ease;
            opacity: 0.08;
            pointer-events: none;
         }

         .smartpack-radio:hover .smartpack-label:after,
         .smartpack-drop-point-container:hover .smartpack-label:after {
            transform: scale(3.6);
         }

         #smartpack-modal input[type="radio"]:checked+.smartpack-label {
            border-color: #225cff;
         }

         #smartpack-modal input[type="radio"]:checked+.smartpack-label:after {
            transform: scale(1);
            transition: all 0.2s cubic-bezier(0.35, 0.9, 0.4, 0.9);
            opacity: 1;
         }

         .smartpack-hidden {
            display: none !important;
         }
      </style>

      <script>
         document.body.appendChild(document.getElementById('smartpack-overlay'));
         document.body.appendChild(document.getElementById('smartpack-modal'));
      </script>

      <script>
         window.smartpack_lang = <?php echo smartpack_js_lang() ?>;
         window.smartpack_lang = <?php echo smartpack_js_lang() ?>;
         jQuery('body').on('click', '#smartpack-modal-open', function() {
            window.smartpack.modal.open()
         })

         window.smartpack.icon_base = "<?php echo plugins_url('/smartpack-checkout/img/icons') ?>";
         window.smartpack.icons = {
            bring: smartpack.icon_base+'/bring.png',
            postnord: smartpack.icon_base+'/postnord.png',
            dao: smartpack.icon_base+'/dao.png',
            gls: smartpack.icon_base+'/gls.png',
            ups: smartpack.icon_base+'/ups.png'
         }

         window.smartpack.modal = {
            open: function() {
               jQuery('#smartpack-modal').fadeIn('fast')
               jQuery('#smartpack-overlay').fadeIn('fast')
               document.querySelector('html').classList.add('smartpack-no-scroll')
               document.body.classList.add('smartpack-no-scroll')

               if(jQuery("#smartpack_address").val().length < 1) {
                  // Use delivery address if avaliable, else billing address
                  if(Boolean(jQuery("#shipping_address_1").val()) && Boolean(jQuery("#shipping_postcode").val())) {
                     jQuery("#smartpack_address").val(jQuery("#shipping_address_1").val());
                     jQuery("#smartpack_zip").val(jQuery("#shipping_postcode").val());
                  } else {
                     jQuery("#smartpack_address").val(jQuery("#billing_address_1").val());
                     jQuery("#smartpack_zip").val(jQuery("#billing_postcode").val());
                  }
               }

               window.smartpack.modal.search()

               window.smartpack.modal.set_radio()
            },
            search() {
               document.getElementById('smartpack-loader').classList.remove('smartpack-hidden')
               document.getElementById('smartpack-drop-points').classList.add('smartpack-hidden')

               window.smartpack.search(jQuery("#smartpack_zip").val(), jQuery("#smartpack_address").val(), function () {
                  window.smartpack.prepare_list()

                  if(typeof google !== 'undefined') {
                     smartpack.prepare_map()
                  }

                  window.smartpack.modal.set_radio()
                  document.getElementById('smartpack-loader').classList.add('smartpack-hidden')
                  document.getElementById('smartpack-drop-points').classList.remove('smartpack-hidden')
               })
            },
            set_radio() {
               if(window.smartpack.drop_point && window.smartpack.drop_point.id) {
                  var input = document.querySelector(`input[data-id="${window.smartpack.drop_point.id}"]`)

                  if(input) {
                     jQuery(input).prop('checked', true)
                  }
               }
            },
            close() {
               jQuery('#smartpack-modal').fadeOut('fast')
               jQuery('#smartpack-overlay').fadeOut('fast')
               document.querySelector('html').classList.remove('smartpack-no-scroll')
               document.body.classList.remove('smartpack-no-scroll')
            }
         }
         window.smartpack.prepare_list = function prepare_list() {
            var elem = document.getElementById('smartpack-drop-points-list')
            elem.innerHTML = ''

            for (var z = 0; z < window.smartpack.drop_points.length; z++) {
               var shop = window.smartpack.drop_points[z]

               var e = document.createElement('li')
               e.classList.add('smartpack-drop-point-selector')

               e.innerHTML = `
                  <div class="smartpack-drop-point-container">
                     <label for="smartpack-drop-point-${z}">
                        <div class="smartpack-drop-point-radio">
                           <div class="smartpack-radio">
                              <input type="radio" id="smartpack-drop-point-${z}" name="smartpack-drop-point" class="smartpack-hidden" data-id="${shop.id}">
                              <span class="smartpack-label"></span>
                           </div>
                        </div>

                        <div class="smartpack-drop-point-shop">
                           <p class="smartpack-drop-point-shop-title">${shop.name}</p>
                           <br>
                           <p>${shop.address.street1}</p>
                           <br>
                           <p>${shop.address.zipcode} ${shop.address.city}</p>
                        </div>
                     </label>
                  </div>`

               elem.append(e)
            }

            document.querySelectorAll('#smartpack-drop-points-list input[type="radio"]').forEach(x => {
               jQuery(x).unbind('change')

               jQuery(x).bind('change', function(y) {
                  window.smartpack.select_drop_point(y.target.getAttribute('data-id').toString())
               })
            })
         },
         window.smartpack.prepare_map = function prepare_map() {
            if(window.smartpack.drop_points.length < 1) return

            var place = new google.maps.LatLng(window.smartpack.drop_points[0].coordinates.latitude, window.smartpack.drop_points[0].coordinates.longitude);

            // Initiate Map
            var settings = {
               mapTypeId: google.maps.MapTypeId.ROADMAP,
               zoom: 13,
               streetViewControl: false,
               fullscreenControl: false,
               rotateControl: false,
               mapTypeControl: false,
               center: place
            };

            // Make variables globally available
            window.sp_infowindow = new google.maps.InfoWindow();
            window.sp_map = new google.maps.Map(document.getElementById("smartpack-map"), settings);
            window.sp_map.setZoom(window.sp_map.getZoom());

            function place_marker(shop) {
               var icon = false;

               switch(shop.carrierCode) {
                  case "POSTNORD":
                     icon = window.smartpack.icons.postnord
                     break;
                  case "UPS":
                     icon = window.smartpack.icons.ups
                     break;
                  case "BRING":
                     icon = window.smartpack.icons.bring
                     break;
                  case "GLS":
                     icon = window.smartpack.icons.gls
                     break;
                  case "DAO":
                     icon = window.smartpack.icons.dao
                     break;
               }

               var position = new google.maps.LatLng(shop.coordinates.latitude, shop.coordinates.longitude);

               var m = {
                  position: position,
                  map: window.sp_map,
                  title: shop.name,
                  visible: true,
               }

               if(icon) {
                  m.icon = {
                     url: icon,
                     scaledSize: new google.maps.Size(37, 51), // scaled size
                     origin: new google.maps.Point(0, 0), // origin
                     anchor: new google.maps.Point(18.5, 51) // anchor
                  }
               }

               var marker = new google.maps.Marker(m)

               // Prepare the content for the InfoWindow
               content = `<div id="smartpack-infowindow">
               <h2>${shop.name}</h2>
               <p>${shop.address.street1}</p>
               <p>${shop.address.zipcode} ${shop.address.city}</p>
               <button type="button" onClick="window.smartpack.select_drop_point('${shop.id}')">${smartpack.translate('select')}</button>`

               // Format opening hours
               if (shop.openingHours && shop.openingHours.length > 0) {
                  content += `<table><tbody>`
                  for (var x = 0; x < shop.openingHours.length; x++) {
                     var day = shop.openingHours[x]

                     content += `<tr>
                        <td>${smartpack.translate(day.day)}</td>
                        <td>${day.from} - ${day.to}</td>
                     </tr>`
                  }
                  content += `</tbody></table>`
               }

               content += `</div>`

               // Required to be marker.content
               // for some Godforsaken reason
               marker.content = content

               // Replace the active infoWindow with a new one
               // when a marker is clicked
               google.maps.event.addListener(marker, 'click', function() {
                  window.sp_infowindow.close()
                  window.sp_infowindow.setContent(marker.content)
                  window.sp_infowindow.open(window.sp_map, marker)
               })
            }

            // Place all the markers
            for (var i = 0; i < window.smartpack.drop_points.length; i++) {
               var shop = window.smartpack.drop_points[i]

               place_marker(shop)
            }
         }

         function gm_authFailure() {
            document.getElementById('smartpack-map').classList.add('smartpack-hidden')
         };
      </script>
   </td>
</tr>