<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

// Require the correct language files
require_once('lang/da.php');
require_once('lang/en.php');

// Hacky translation method
function ___($str)
{
  if (get_locale() === 'da_DK') {
    return SmartpackLangDa::translate($str);
  }

  return SmartpackLangEn::translate($str);
}

function sp_get_option($option, $default) {
  $str = get_option($option, '');

  if (strlen($str) < 1) {
    return $default;
  }

  return $str;
}

// Load javascript language files
function smartpack_js_lang()
{
  if (get_locale() === 'da_DK') {
    return SmartpackLangDa::js();
  }
  return SmartpackLangEn::js();
}

